package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 不动产登记证信息对象 t_guiji_naturalresources_bdcdjzxx
 *
 * @author lei
 * @date 2021-10-29
 */
public class TGuijiNaturalresourcesBdcdjzxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 登记编号 */
    @Excel(name = "登记编号")
    private String djbh;

    /** 权利人 */
    @Excel(name = "权利人")
    private String qlrmc;

    /** 共有方式 */
    @Excel(name = "共有方式")
    private String gyfs;

    /** 坐落 */
    @Excel(name = "坐落")
    private String fwzl;

    /** 不动产单元号 */
    @Excel(name = "不动产单元号")
    private String bdcdyh;

    /** 证书编号 */
    @Excel(name = "证书编号")
    private String zsbh;

    /** 用途 */
    @Excel(name = "用途")
    private String yt;

    /** 面积/抵押总面积 */
    @Excel(name = "面积/抵押总面积")
    private String mj;

    /** 权证号 */
    @Excel(name = "权证号")
    private String qzh;

    /** 附记 */
    @Excel(name = "附记")
    private String bz;

    /** 推送单位 */
    @Excel(name = "推送单位")
    private String tsdw;

    /** 房屋性质 */
    @Excel(name = "房屋性质")
    private String fwxz;

    /** 登记日期 */
    @Excel(name = "登记日期")
    private String dbsj;

    /** 抵押权人 */
    @Excel(name = "抵押权人")
    private String dyqr;

    /** 抵押人 */
    @Excel(name = "抵押人")
    private String dyr;

    /** 抵押总套数 */
    @Excel(name = "抵押总套数")
    private String dyzts;

    /** 债权金额 */
    @Excel(name = "债权金额")
    private String cqje;

    /** 债务履行起始 */
    @Excel(name = "债务履行起始")
    private String zwlxqs;

    /** 债务履行终止 */
    @Excel(name = "债务履行终止")
    private String zwlxqz;

    /** 他项权证号 */
    @Excel(name = "他项权证号")
    private String txqzh;

    /** 抵押预告登记权利人 */
    @Excel(name = "抵押预告登记权利人")
    private String dyygqlr;

    /** 抵押预告登记义务人 */
    @Excel(name = "抵押预告登记义务人")
    private String dyygywr;

    /** 抵押预告证明号 */
    @Excel(name = "抵押预告证明号")
    private String dyygzmh;

    /** 抵押预告登记类型 */
    @Excel(name = "抵押预告登记类型")
    private String dyygdjlx;

    /** 预告登记权利人 */
    @Excel(name = "预告登记权利人")
    private String ygqlr;

    /** 预告登记义务人 */
    @Excel(name = "预告登记义务人")
    private String ygywr;

    /** 预告证明号 */
    @Excel(name = "预告证明号")
    private String ygzmh;

    /** 预告登记类型 */
    @Excel(name = "预告登记类型")
    private String ygdjlx;

    /** 层次 */
    @Excel(name = "层次")
    private String cs;

    /** 结构 */
    @Excel(name = "结构")
    private String fwjg;

    /** 房号 */
    @Excel(name = "房号")
    private String hh;

    /** 总层数 */
    @Excel(name = "总层数")
    private String zcs;

    /** 所在层 */
    @Excel(name = "所在层")
    private String szc;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private String scjzmj;

    /** 套内面积 */
    @Excel(name = "套内面积")
    private String sczyjzmj;

    /** 分摊面积 */
    @Excel(name = "分摊面积")
    private String scftjzmj;

    /** 土地性质 */
    @Excel(name = "土地性质")
    private String xz;

    /** 土地使用取得方式 */
    @Excel(name = "土地使用取得方式")
    private String lx;

    /** 土地用途 */
    @Excel(name = "土地用途")
    private String tdyt;

    /** 土地使用开始 */
    @Excel(name = "土地使用开始")
    private String tdsyqxks;

    /** 土地使用结束 */
    @Excel(name = "土地使用结束")
    private String tdsyqxjs;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String ywms;

    /** 证书名称 */
    @Excel(name = "证书名称")
    private String zsmc;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setDjbh(String djbh)
    {
        this.djbh = djbh;
    }

    public String getDjbh()
    {
        return djbh;
    }
    public void setQlrmc(String qlrmc)
    {
        this.qlrmc = qlrmc;
    }

    public String getQlrmc()
    {
        return qlrmc;
    }
    public void setGyfs(String gyfs)
    {
        this.gyfs = gyfs;
    }

    public String getGyfs()
    {
        return gyfs;
    }
    public void setFwzl(String fwzl)
    {
        this.fwzl = fwzl;
    }

    public String getFwzl()
    {
        return fwzl;
    }
    public void setBdcdyh(String bdcdyh)
    {
        this.bdcdyh = bdcdyh;
    }

    public String getBdcdyh()
    {
        return bdcdyh;
    }
    public void setZsbh(String zsbh)
    {
        this.zsbh = zsbh;
    }

    public String getZsbh()
    {
        return zsbh;
    }
    public void setYt(String yt)
    {
        this.yt = yt;
    }

    public String getYt()
    {
        return yt;
    }
    public void setMj(String mj)
    {
        this.mj = mj;
    }

    public String getMj()
    {
        return mj;
    }
    public void setQzh(String qzh)
    {
        this.qzh = qzh;
    }

    public String getQzh()
    {
        return qzh;
    }
    public void setBz(String bz)
    {
        this.bz = bz;
    }

    public String getBz()
    {
        return bz;
    }
    public void setTsdw(String tsdw)
    {
        this.tsdw = tsdw;
    }

    public String getTsdw()
    {
        return tsdw;
    }
    public void setFwxz(String fwxz)
    {
        this.fwxz = fwxz;
    }

    public String getFwxz()
    {
        return fwxz;
    }
    public void setDbsj(String dbsj)
    {
        this.dbsj = dbsj;
    }

    public String getDbsj()
    {
        return dbsj;
    }
    public void setDyqr(String dyqr)
    {
        this.dyqr = dyqr;
    }

    public String getDyqr()
    {
        return dyqr;
    }
    public void setDyr(String dyr)
    {
        this.dyr = dyr;
    }

    public String getDyr()
    {
        return dyr;
    }
    public void setDyzts(String dyzts)
    {
        this.dyzts = dyzts;
    }

    public String getDyzts()
    {
        return dyzts;
    }
    public void setCqje(String cqje)
    {
        this.cqje = cqje;
    }

    public String getCqje()
    {
        return cqje;
    }
    public void setZwlxqs(String zwlxqs)
    {
        this.zwlxqs = zwlxqs;
    }

    public String getZwlxqs()
    {
        return zwlxqs;
    }
    public void setZwlxqz(String zwlxqz)
    {
        this.zwlxqz = zwlxqz;
    }

    public String getZwlxqz()
    {
        return zwlxqz;
    }
    public void setTxqzh(String txqzh)
    {
        this.txqzh = txqzh;
    }

    public String getTxqzh()
    {
        return txqzh;
    }
    public void setDyygqlr(String dyygqlr)
    {
        this.dyygqlr = dyygqlr;
    }

    public String getDyygqlr()
    {
        return dyygqlr;
    }
    public void setDyygywr(String dyygywr)
    {
        this.dyygywr = dyygywr;
    }

    public String getDyygywr()
    {
        return dyygywr;
    }
    public void setDyygzmh(String dyygzmh)
    {
        this.dyygzmh = dyygzmh;
    }

    public String getDyygzmh()
    {
        return dyygzmh;
    }
    public void setDyygdjlx(String dyygdjlx)
    {
        this.dyygdjlx = dyygdjlx;
    }

    public String getDyygdjlx()
    {
        return dyygdjlx;
    }
    public void setYgqlr(String ygqlr)
    {
        this.ygqlr = ygqlr;
    }

    public String getYgqlr()
    {
        return ygqlr;
    }
    public void setYgywr(String ygywr)
    {
        this.ygywr = ygywr;
    }

    public String getYgywr()
    {
        return ygywr;
    }
    public void setYgzmh(String ygzmh)
    {
        this.ygzmh = ygzmh;
    }

    public String getYgzmh()
    {
        return ygzmh;
    }
    public void setYgdjlx(String ygdjlx)
    {
        this.ygdjlx = ygdjlx;
    }

    public String getYgdjlx()
    {
        return ygdjlx;
    }
    public void setCs(String cs)
    {
        this.cs = cs;
    }

    public String getCs()
    {
        return cs;
    }
    public void setFwjg(String fwjg)
    {
        this.fwjg = fwjg;
    }

    public String getFwjg()
    {
        return fwjg;
    }
    public void setHh(String hh)
    {
        this.hh = hh;
    }

    public String getHh()
    {
        return hh;
    }
    public void setZcs(String zcs)
    {
        this.zcs = zcs;
    }

    public String getZcs()
    {
        return zcs;
    }
    public void setSzc(String szc)
    {
        this.szc = szc;
    }

    public String getSzc()
    {
        return szc;
    }
    public void setScjzmj(String scjzmj)
    {
        this.scjzmj = scjzmj;
    }

    public String getScjzmj()
    {
        return scjzmj;
    }
    public void setSczyjzmj(String sczyjzmj)
    {
        this.sczyjzmj = sczyjzmj;
    }

    public String getSczyjzmj()
    {
        return sczyjzmj;
    }
    public void setScftjzmj(String scftjzmj)
    {
        this.scftjzmj = scftjzmj;
    }

    public String getScftjzmj()
    {
        return scftjzmj;
    }
    public void setXz(String xz)
    {
        this.xz = xz;
    }

    public String getXz()
    {
        return xz;
    }
    public void setLx(String lx)
    {
        this.lx = lx;
    }

    public String getLx()
    {
        return lx;
    }
    public void setTdyt(String tdyt)
    {
        this.tdyt = tdyt;
    }

    public String getTdyt()
    {
        return tdyt;
    }
    public void setTdsyqxks(String tdsyqxks)
    {
        this.tdsyqxks = tdsyqxks;
    }

    public String getTdsyqxks()
    {
        return tdsyqxks;
    }
    public void setTdsyqxjs(String tdsyqxjs)
    {
        this.tdsyqxjs = tdsyqxjs;
    }

    public String getTdsyqxjs()
    {
        return tdsyqxjs;
    }
    public void setYwms(String ywms)
    {
        this.ywms = ywms;
    }

    public String getYwms()
    {
        return ywms;
    }
    public void setZsmc(String zsmc)
    {
        this.zsmc = zsmc;
    }

    public String getZsmc()
    {
        return zsmc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("djbh", getDjbh())
            .append("qlrmc", getQlrmc())
            .append("gyfs", getGyfs())
            .append("fwzl", getFwzl())
            .append("bdcdyh", getBdcdyh())
            .append("zsbh", getZsbh())
            .append("yt", getYt())
            .append("mj", getMj())
            .append("qzh", getQzh())
            .append("bz", getBz())
            .append("tsdw", getTsdw())
            .append("fwxz", getFwxz())
            .append("dbsj", getDbsj())
            .append("dyqr", getDyqr())
            .append("dyr", getDyr())
            .append("dyzts", getDyzts())
            .append("cqje", getCqje())
            .append("zwlxqs", getZwlxqs())
            .append("zwlxqz", getZwlxqz())
            .append("txqzh", getTxqzh())
            .append("dyygqlr", getDyygqlr())
            .append("dyygywr", getDyygywr())
            .append("dyygzmh", getDyygzmh())
            .append("dyygdjlx", getDyygdjlx())
            .append("ygqlr", getYgqlr())
            .append("ygywr", getYgywr())
            .append("ygzmh", getYgzmh())
            .append("ygdjlx", getYgdjlx())
            .append("cs", getCs())
            .append("fwjg", getFwjg())
            .append("hh", getHh())
            .append("zcs", getZcs())
            .append("szc", getSzc())
            .append("scjzmj", getScjzmj())
            .append("sczyjzmj", getSczyjzmj())
            .append("scftjzmj", getScftjzmj())
            .append("xz", getXz())
            .append("lx", getLx())
            .append("tdyt", getTdyt())
            .append("tdsyqxks", getTdsyqxks())
            .append("tdsyqxjs", getTdsyqxjs())
            .append("ywms", getYwms())
            .append("zsmc", getZsmc())
            .toString();
    }
}
